Bug Hunting Session
Bug 40091 - Vertical writing inferior to MS Word
Summary: Vertical writing inferior to MS Word
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2011-08-14 16:53 UTC by phayanaaro
Modified: 2016-12-20 15:19 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
The top part of a vertically set page in MS Word. Not up to pTeX standards. (283.80 KB, image/png)
2011-08-14 16:53 UTC, phayanaaro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description phayanaaro 2011-08-14 16:53:19 UTC
Created attachment 50212 [details]
The top part of a vertically set page in MS Word.  Not up to pTeX standards.

LibreOffice Writer doesn't handle vertical writing as well as MS Word; it appears to use horizontal font metrics and these sometimes translate properly and more often don't.  For example, Takao*Mincho (free) is set quite closely but usable; Kozuka Mincho Pro (non-free, owned by Adobe) is set disastrously widely.  The attached screenshot shows MS Word displaying vertical text with furigana set in Epson Kyōkashotai, a free but probably non-libre font.
Comment 1 ign_christian 2013-06-16 02:00:48 UTC
Is it still happen on latest stable release?
Comment 2 Commit Notification 2015-08-16 06:43:32 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21dc114a11138df497f05876979b82594c4ed1cd

Fix tdf#40091 and tdf#40335 text layout issues.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-26 11:47:59 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4532151e3ca83488bc8fd255cc64971421b4517&h=libreoffice-5-0

Fix tdf#40091 and tdf#40335 text layout issues.

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.